<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>NgMiamSdk</title>
    <base href="/">

    <meta content="width=device-width, initial-scale=1" name="viewport">
    <link crossorigin="anonymous" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css"
          integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" rel="stylesheet">
    <link crossorigin="anonymous" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"
          integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" rel="stylesheet">
    <style rel="stylesheet" href="styles.css"></style>
    <style >
      @import url('./miam-style.css');
    </style>

    <script src="webc-miam.js" defer></script>
    <script src="init.js" defer></script>

  </head>
  <body>
    <div class="header text-center">
      <h1>My recipes Website</h1>
    </div>
    <webc-miam-recipe-tags></webc-miam-recipe-tags>
    <div class="container">
      <div class="section">
        <h2>Recipe card</h2>
        <webc-miam-recipe-card></webc-miam-recipe-card>
        <script>
          const card = document.querySelector('webc-miam-recipe-card');
          const context = {
            shelfIngredients: ["0400958"], currentIngredients: [], basketIngredients: ["1387616"]
          }
          card.context = context;

          const recipeTags = document.querySelector('webc-miam-recipe-tags');
          recipeTags.extId ="329815"
       
        </script>
      </div>

      <div class="section">
        <h2>Recipe details modal</h2>
        Service method to open a modal with details of a given recipe (eg: can be called upon URL change) <br />
        <a href="/?displayRecipe=2771">Show recipe details</a>
      </div>

      <div class="section">
        <h2>Recipe form</h2>
        <webc-miam-recipe-form></webc-miam-recipe-form>
      </div>

      <div class="section">
        <h2>Basket preview</h2>
        <div id="basketStats">
          <!-- Content will be replaced programatically / check init.js -->
        </div>
        <webc-miam-basket-preview-block></webc-miam-basket-preview-block>
        <button onclick="window.miam.basket.confirm().subscribe(function(basket) { localStorage.setItem('_miam/basketToken', basket.attributes.token); })">Confirm basket</button>
      </div>
      <div class="section">
        <h2>Recipe history</h2>
        <webc-miam-recipes-history></webc-miam-recipes-history>  
      </div>
  
      <div class="section">
        <h2>Meals planner</h2>
        <webc-miam-planner></webc-miam-planner>
      </div>
  
      <div class="section">
        <h2>Recipe catalog</h2>
        <webc-miam-recipe-catalog></webc-miam-recipes-catalog>  
      </div>

      <div class="section">
        <h2>Favorite recipes</h2>
        <webc-miam-favorite-page></webc-miam-favorite-page>
      </div>

      <div class="section">
        <h2>Personal recipes</h2>
        <webc-miam-personal-recipes></webc-miam-personal-recipes>
      </div>
  
    </div>

    <webc-miam-drawer></webc-miam-drawer>
   
  </body>
</html>
